List all pieces of knowledge
curl --request GET \
--url https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/knowledge \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/knowledge"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/knowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "7b9e5d2c-f314-48a9-be56-9843a2f6c019",
"state": "initial",
"title": "Best practices for AI in healthcare",
"description": "A collection of best practices for AI in healthcare",
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z",
"source": "text",
"providedBy": "NotionPage",
"pdfFileUrl": "https://example.com/document.pdf",
"txtFileUrl": "/knowledge/7b9e5d2c-f314-48a9-be56-9843a2f6c019",
"url": "https://example.com/document.pdf"
}
]
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthenticated"
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthorised"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"description": "An unexpected error occurred on the server"
}
}Knowledge
List all pieces of knowledge
Retrieves a list of all pieces of knowledge
GET
/
organisations
/
{orgId}
/
workspaces
/
{workspaceId}
/
knowledge
List all pieces of knowledge
Authorizations
JWT authentication for organization-scoped endpoints.
Response
Success
Response containing an array of knowledge
Array of knowledge
Show child attributes
Show child attributes
⌘I